View Issue Details

IDProjectCategoryView StatusLast Update
0002911SymmetricDSNew Featurepublic2018-11-19 16:36
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.0Fixed in Version3.9.0 
Summary0002911: Immediate re-pull when data was just pulled
DescriptionIf the pull receives data, then re-pull immediately to see if more data is waiting, speeding up data loads similar to how the reload re-pulls. Control with a parameter pull.immediate.if.data.found=true.

Relationships

has duplicate 0002371 closed Allow a parameter to turn on continuous push until all data has been synced 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 51414323

2016-11-21 15:02:58

admin

Details Diff
0002911: Immediate re-pull when data was just pulled
0002911
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/RemoteNodeStatus.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: 3.9 e39a6e21

2017-06-21 11:05:36

chenson42

Details Diff
0002911: Immediate re-pull when data was just pulled
0002911
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File

SymmetricDS: 3.9 aaa4f5d6

2017-06-22 15:34:54

chenson42

Details Diff
0002911: Immediate re-pull when data was just pulled
0002911
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File

SymmetricDS: 3.9 86ea19f8

2017-06-22 16:47:18

chenson42

Details Diff
0002911: Immediate re-pull when data was just pulled
0002911
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File

SymmetricDS: 3.9 e4b08ce5

2017-07-20 13:22:35

admin

Details Diff
0002911: Immediate re-pull when data was just pulled
0002911
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File

Issue History

Date Modified Username Field Change
2016-11-21 14:26 elong New Issue
2016-11-21 14:26 elong Status new => assigned
2016-11-21 14:26 elong Assigned To => elong
2016-11-21 15:03 elong Status assigned => resolved
2016-11-21 15:03 elong Fixed in Version => 3.9.0
2016-11-21 15:03 elong Resolution open => fixed
2017-12-15 16:21 mmichalek Status resolved => closed
2018-02-14 15:08 admin Changeset attached => SymmetricDS 3.9 e4b08ce5
2018-02-14 15:08 chenson42 Changeset attached => SymmetricDS 3.9 86ea19f8
2018-02-14 15:08 chenson42 Changeset attached => SymmetricDS 3.9 aaa4f5d6
2018-02-14 15:08 chenson42 Changeset attached => SymmetricDS 3.9 e39a6e21
2018-02-14 15:08 admin Changeset attached => SymmetricDS 3.9 51414323
2018-11-19 16:36 hanes Relationship added has duplicate 0002371